import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:mhm_test/mhm_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('mhm_test');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MhmTest.platformVersion, '42');
  });
}
